# Uses of Class
java.awt.im.InputContext

Packages that use InputContext
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.im
Provides classes and interfaces for the input method framework.

## Uses of InputContext in java.awt

Methods in java.awt that return InputContext
Modifier and Type
Method
Description
`InputContext`
Component.`getInputContext()`
Gets the input context used by this component for handling the communication with input methods when text is entered in this component.
`InputContext`
Window.`getInputContext()`
Gets the input context for this window.

## Uses of InputContext in java.awt.im

Methods in java.awt.im that return InputContext
Modifier and Type
Method
Description
`static InputContext`
InputContext.`getInstance()`
Returns a new InputContext instance.